/* || Transactions Table
 *************************/
.transactions__table {
    display: none;
}

@media only screen and (min-width: 768px) {
    .transactions__table {
        display: table;
    }

    table {
        width: 100%;
        border-collapse: collapse;
    }

    th {
        padding: 12px 0;
        border-bottom: 1px solid var(--stroke);
        height: 60px;
        color: var(--secondary-base);
        text-align: left;
    }

    th:last-child {
        text-align: right;
    }

    th:nth-child(1),
    th:nth-child(1) {
        padding-right: 32px;
        width: auto;
    }

    th:nth-child(2),
    th:nth-child(2) {
        padding-right: 32px;
        width: 112px;
    }

    th:nth-child(3),
    th:nth-child(3) {
        padding-right: 32px;
        width: 120px;
    }

    th:nth-child(4),
    th:nth-child(4) {
        padding-left: 32px;
        width: 120px;
    }

    td:first-child {
        display: flex;
        align-items: center;
        gap: 16px;
    }

    tbody tr {
        border-bottom: 1px solid var(--stroke);
    }

    tbody tr:last-child {
        border-bottom: none;
    }

    tr td {
        padding-top: 16px;
        padding-bottom: 16px;
    }

    tr:first-child td {
        padding-top: 24px;
    }

    tr:last-child td {
        padding-bottom: 0;
    }

    th:nth-child(1),
    th:nth-child(1),
    td:first-child {
        padding-left: 16px;
    }
}